From 58bf89d6ab28f96ea14957abba8ffabc0bdfda34 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Mon, 28 Nov 2011 12:54:09 -0600
Subject: Small bug in helper function.

---
 lib/grade/grade_category.php |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/lib/grade/grade_category.php b/lib/grade/grade_category.php
index a63f8e9..f9a3adc 100644
--- a/lib/grade/grade_category.php
+++ b/lib/grade/grade_category.php
@@ -936,6 +936,8 @@ class grade_category extends grade_object {
         if (!$extraused)
             return false;
 
+        $coef = $item->aggregationcoef;
+
         $validextra = (
             ($this->aggregation != GRADE_AGGREGATE_WEIGHTED_MEAN && $coef > 0) ||
             $coef < 0
-- 
1.7.1


